package com.bjtdba.merchant.service;

import com.bjtdba.entity.merchant.SystemConfigValue;

import java.util.List;

/**
 * 配置表(SystemConfigValue)表服务实现类
 *
 * @author makejava
 * @since 2022-08-07 14:50:38
 */


public interface SystemConfigValueService {


	/**
     *通过ID查询单条数据
     *
     *@param configValueId 主键
     *@return 实例对象
	 */


    public SystemConfigValue queryById(Object configValueId);



    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit 查询条数
     * @return 对象列表
     */


    public List<SystemConfigValue> queryAllByLimit(int offset, int limit);

	/**
	 *查询多条数据
     *
     * @param  rrxSystemConfigValue
     * @return 对象列表
     */

    public List<SystemConfigValue> queryAll(SystemConfigValue rrxSystemConfigValue);
	/**
	 *
	 *通过实体作为筛选条件查询统计个数
	 *
	 *@param rrxSystemConfigValue 实例对象
	 *@return 条数
	 */


	public int queryAllCount(SystemConfigValue rrxSystemConfigValue);

    /**
     * 新增数据
     *
     * @param rrxSystemConfigValue 实例对象
     * @return 实例对象
     */

    public SystemConfigValue insert(SystemConfigValue rrxSystemConfigValue);

    /**
     * 修改数据
     *
     * @param rrxSystemConfigValue 实例对象
     * @return 实例对象
     */


    public SystemConfigValue update(SystemConfigValue rrxSystemConfigValue);

	/**
     * 通过主键删除数据
     *
     * @param configValueId 主键
     * @return 是否成功
     */


    public boolean deleteById(Object configValueId);

    public boolean updateShopBonusSetting(String mer_id,String config);
    public String getShopBonusSetting(String mer_id);
}
